Package ru.bitel.bgbilling.apps.inet.accounting.recalculate.event

# Class InetCanCalculateEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.apps.inet.accounting.recalculate.event.InetCanCalculateEvent

All Implemented Interfaces:
  `Serializable`

public class InetCanCalculateEvent extends ru.bitel.bgbilling.kernel.event.common.QueueEvent

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `InetCanCalculateEvent()`
  ``
  `InetCanCalculateEvent(int moduleId, int applicationId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `prepareMessage(javax.jms.Message message)`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### InetCanCalculateEvent

    protected InetCanCalculateEvent()

  - ### InetCanCalculateEvent

    public InetCanCalculateEvent(int moduleId, int applicationId)

- ## Method Details

  - ### prepareMessage

    public void prepareMessage(javax.jms.Message message) throws javax.jms.JMSException
    Overrides:
      `prepareMessage` in class `ru.bitel.bgbilling.kernel.event.common.Event`
    Throws:
      `javax.jms.JMSException`